| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Public Attributes | List of all members
LSLicenseFeature Struct Reference

`#include <LicenseSpring/C-interface/LicenseFeature.h>`

## Public Attributes
const char *(* | toString )(struct LSLicenseFeature *self)
const char *(* | code )(struct LSLicenseFeature *self)
const char *(* | name )(struct LSLicenseFeature *self)
enum LSFeatureType(* | featureType )(struct LSLicenseFeature *self)
enum LSFeatureType(* | featureTypeFromString )(struct LSLicenseFeature *self, const char *value)
int(* | maxConsumption )(struct LSLicenseFeature *self)
int(* | totalConsumption )(struct LSLicenseFeature *self)
int(* | localConsumption )(struct LSLicenseFeature *self)
bool(* | isOveragesAllowed )(struct LSLicenseFeature *self)
bool(* | isUnlimitedConsumptionAllowed )(struct LSLicenseFeature *self)
int(* | maxOverages )(struct LSLicenseFeature *self)
bool(* | isResetConsumptionEnabled )(struct LSLicenseFeature *self)
enum LSConsumptionPeriod(* | consumptionPeriod )(struct LSLicenseFeature *self)
struct tm(* | expiryDate )(struct LSLicenseFeature *self)
struct tm(* | expiryDateUtc )(struct LSLicenseFeature *self)
bool(* | isExpired )(struct LSLicenseFeature *self)
const char *(* | metadata )(struct LSLicenseFeature *self)
bool(* | isFloating )(struct LSLicenseFeature *self)
bool(* | isOfflineFloating )(struct LSLicenseFeature *self)
int32_t(* | floatingTimeout )(struct LSLicenseFeature *self)
int32_t(* | floatingUsers )(struct LSLicenseFeature *self)
int32_t(* | floatingInUseCount )(struct LSLicenseFeature *self)
struct tm(* | floatingEndDateTime )(struct LSLicenseFeature *self)
struct tm(* | floatingEndDateTimeUtc )(struct LSLicenseFeature *self)
bool(* | floatingIsExpired )(struct LSLicenseFeature *self)
void * | inner

## Detailed Description

Definition at line 13 of file LicenseFeature.h.

## Member Data Documentation

## ◆ toString

const char*( * LSLicenseFeature::toString) (struct LSLicenseFeature *self)

Definition at line 15 of file LicenseFeature.h.

## ◆ code

const char*( * LSLicenseFeature::code) (struct LSLicenseFeature *self)

Definition at line 17 of file LicenseFeature.h.

## ◆ name

const char*( * LSLicenseFeature::name) (struct LSLicenseFeature *self)

Definition at line 19 of file LicenseFeature.h.

## ◆ featureType

enum LSFeatureType( * LSLicenseFeature::featureType) (struct LSLicenseFeature *self)

Definition at line 21 of file LicenseFeature.h.

## ◆ featureTypeFromString

enum LSFeatureType( * LSLicenseFeature::featureTypeFromString) (struct LSLicenseFeature *self, const char *value)

Definition at line 23 of file LicenseFeature.h.

## ◆ maxConsumption

int( * LSLicenseFeature::maxConsumption) (struct LSLicenseFeature *self)

Definition at line 25 of file LicenseFeature.h.

## ◆ totalConsumption

int( * LSLicenseFeature::totalConsumption) (struct LSLicenseFeature *self)

Definition at line 27 of file LicenseFeature.h.

## ◆ localConsumption

int( * LSLicenseFeature::localConsumption) (struct LSLicenseFeature *self)

Definition at line 29 of file LicenseFeature.h.

## ◆ isOveragesAllowed

bool( * LSLicenseFeature::isOveragesAllowed) (struct LSLicenseFeature *self)

Definition at line 31 of file LicenseFeature.h.

## ◆ isUnlimitedConsumptionAllowed

bool( * LSLicenseFeature::isUnlimitedConsumptionAllowed) (struct LSLicenseFeature *self)

Definition at line 33 of file LicenseFeature.h.

## ◆ maxOverages

int( * LSLicenseFeature::maxOverages) (struct LSLicenseFeature *self)

Definition at line 35 of file LicenseFeature.h.

## ◆ isResetConsumptionEnabled

bool( * LSLicenseFeature::isResetConsumptionEnabled) (struct LSLicenseFeature *self)

Definition at line 37 of file LicenseFeature.h.

## ◆ consumptionPeriod

enum LSConsumptionPeriod( * LSLicenseFeature::consumptionPeriod) (struct LSLicenseFeature *self)

Definition at line 39 of file LicenseFeature.h.

## ◆ expiryDate

struct tm( * LSLicenseFeature::expiryDate) (struct LSLicenseFeature *self)

Definition at line 41 of file LicenseFeature.h.

## ◆ expiryDateUtc

struct tm( * LSLicenseFeature::expiryDateUtc) (struct LSLicenseFeature *self)

Definition at line 43 of file LicenseFeature.h.

## ◆ isExpired

bool( * LSLicenseFeature::isExpired) (struct LSLicenseFeature *self)

Definition at line 45 of file LicenseFeature.h.

## ◆ metadata

const char*( * LSLicenseFeature::metadata) (struct LSLicenseFeature *self)

Definition at line 47 of file LicenseFeature.h.

## ◆ isFloating

bool( * LSLicenseFeature::isFloating) (struct LSLicenseFeature *self)

Definition at line 49 of file LicenseFeature.h.

## ◆ isOfflineFloating

bool( * LSLicenseFeature::isOfflineFloating) (struct LSLicenseFeature *self)

Definition at line 51 of file LicenseFeature.h.

## ◆ floatingTimeout

int32_t( * LSLicenseFeature::floatingTimeout) (struct LSLicenseFeature *self)

Definition at line 53 of file LicenseFeature.h.

## ◆ floatingUsers

int32_t( * LSLicenseFeature::floatingUsers) (struct LSLicenseFeature *self)

Definition at line 55 of file LicenseFeature.h.

## ◆ floatingInUseCount

int32_t( * LSLicenseFeature::floatingInUseCount) (struct LSLicenseFeature *self)

Definition at line 57 of file LicenseFeature.h.

## ◆ floatingEndDateTime

struct tm( * LSLicenseFeature::floatingEndDateTime) (struct LSLicenseFeature *self)

Definition at line 59 of file LicenseFeature.h.

## ◆ floatingEndDateTimeUtc

struct tm( * LSLicenseFeature::floatingEndDateTimeUtc) (struct LSLicenseFeature *self)

Definition at line 61 of file LicenseFeature.h.

## ◆ floatingIsExpired

bool( * LSLicenseFeature::floatingIsExpired) (struct LSLicenseFeature *self)

Definition at line 63 of file LicenseFeature.h.

## ◆ inner

void* LSLicenseFeature::inner

Definition at line 65 of file LicenseFeature.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/LicenseFeature.h